package com.ruoyi.project.pssr.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.pssr.mapper.TPssrOverhaulPipeMapper;
import com.ruoyi.project.pssr.domain.TPssrOverhaulPipe;
import com.ruoyi.project.pssr.service.ITPssrOverhaulPipeService;

/**
 * 检修项目-管线Service业务层处理
 *
 * @author ssy
 * @date 2024-09-18
 */
@Service
public class TPssrOverhaulPipeServiceImpl implements ITPssrOverhaulPipeService
{
    @Autowired
    private TPssrOverhaulPipeMapper tPssrOverhaulPipeMapper;

    /**
     * 查询检修项目-管线
     *
     * @param id 检修项目-管线ID
     * @return 检修项目-管线
     */
    @Override
    public TPssrOverhaulPipe selectTPssrOverhaulPipeById(Long id)
    {
        return tPssrOverhaulPipeMapper.selectTPssrOverhaulPipeById(id);
    }

    /**
     * 查询检修项目-管线列表
     *
     * @param tPssrOverhaulPipe 检修项目-管线
     * @return 检修项目-管线
     */
    @Override
    public List<TPssrOverhaulPipe> selectTPssrOverhaulPipeList(TPssrOverhaulPipe tPssrOverhaulPipe)
    {
        return tPssrOverhaulPipeMapper.selectTPssrOverhaulPipeList(tPssrOverhaulPipe);
    }

    /**
     * 新增检修项目-管线
     *
     * @param tPssrOverhaulPipe 检修项目-管线
     * @return 结果
     */
    @Override
    public int insertTPssrOverhaulPipe(TPssrOverhaulPipe tPssrOverhaulPipe)
    {
        return tPssrOverhaulPipeMapper.insertTPssrOverhaulPipe(tPssrOverhaulPipe);
    }

    /**
     * 修改检修项目-管线
     *
     * @param tPssrOverhaulPipe 检修项目-管线
     * @return 结果
     */
    @Override
    public int updateTPssrOverhaulPipe(TPssrOverhaulPipe tPssrOverhaulPipe)
    {
        return tPssrOverhaulPipeMapper.updateTPssrOverhaulPipe(tPssrOverhaulPipe);
    }
    @Override
    public int updateAllBySubId(TPssrOverhaulPipe tPssrOverhaulPipe)
    {
        return tPssrOverhaulPipeMapper.updateAllBySubId(tPssrOverhaulPipe);
    }

    /**
     * 批量删除检修项目-管线
     *
     * @param ids 需要删除的检修项目-管线ID
     * @return 结果
     */
    @Override
    public int deleteTPssrOverhaulPipeByIds(Long[] ids)
    {
        return tPssrOverhaulPipeMapper.deleteTPssrOverhaulPipeByIds(ids);
    }

    /**
     * 删除检修项目-管线信息
     *
     * @param id 检修项目-管线ID
     * @return 结果
     */
    @Override
    public int deleteTPssrOverhaulPipeById(Long id)
    {
        return tPssrOverhaulPipeMapper.deleteTPssrOverhaulPipeById(id);
    }
}
